### robocode

# Class GunTurnCompleteCondition

- `java.lang.Object`
- - `robocode.Condition`
  - - `robocode.GunTurnCompleteCondition`

`public class GunTurnCompleteCondition`
`extends Condition`

A prebuilt condition you can use that indicates your gun has finished turning.

Authors:
  Mathew A. Nelson (original)
  Flemming N. Larsen (contributor)
  Nathaniel Troutman (contributor)

See Also:
  `Condition`

  ## Field Summary

  ### Fields inherited from class robocode.Condition

  `name`, `priority`

  ## Constructor Summary

  `GunTurnCompleteCondition(AdvancedRobot robot)`
    Creates a new GunTurnCompleteCondition with default priority.

  `GunTurnCompleteCondition(AdvancedRobot robot, int priority)`
    Creates a new GunTurnCompleteCondition with a specific priority.

  ## Method Summary

  `@Override`

  `boolean test()`
    Tests if the gun has stopped turning.

  `@Override`

  `void cleanup()`
    Called by the system in order to clean up references to internal objects.

  ### Methods inherited from class robocode.Condition

  `cleanup`, `getName`, `getPriority`, `setName`, `setPriority`, `test`

## Constructor Details

### GunTurnCompleteCondition

    public GunTurnCompleteCondition(AdvancedRobot robot)

> Creates a new GunTurnCompleteCondition with default priority. The default priority is 80.
> Parameters:
>   `robot` - your robot, which must be a `AdvancedRobot`

### GunTurnCompleteCondition

    public GunTurnCompleteCondition(AdvancedRobot robot,
                                    int priority)

> Creates a new GunTurnCompleteCondition with a specific priority. A condition priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.
> Parameters:
>   `robot` - your robot, which must be a `AdvancedRobot`
>   `priority` - the priority of this condition
> See Also:
>   `Condition.setPriority(int)`

## Method Details

### boolean test

    public @Override boolean test()

> Tests if the gun has stopped turning.
> Returns:
>   `true` if the gun has stopped turning; `false` otherwise

### void cleanup

    public final @Override void cleanup()

> Called by the system in order to clean up references to internal objects.
> Since:
>   1.4.3